package com.xs.core.model.coin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 用户临时速率提升记录
 * </p>
 *
 * @author xudm
 * @since 2024-12-21
 */
@Getter
@Setter
@TableName("b_boost_temporary_rate_record")
public class BoostTemporaryRateRecord extends Model<BoostTemporaryRateRecord> {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 批次id
     */
    @TableField("batch_id")
    private String batchId;

    /**
     * 升级时间戳
     */
    @TableField("boost_timestamp")
    private Long boostTimestamp;

    /**
     * 升级时间
     */
    @TableField("boost_time")
    private LocalDateTime boostTime;

    /**
     * 临时速率 0.01
     */
    @TableField("temporary_rate")
    private String temporaryRate;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
