package com.xs.core.model.log.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * app端系统操作日志表
 * </p>
 *
 * @author xudm
 * @since 2024-12-24
 */
@Getter
@Setter
@TableName("b_sys_app_log")
public class SysAppLog extends Model<SysAppLog> {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 操作用户
     */
    @TableField("user_id")
    private String userId;

    /**
     * 操作描述
     */
    @TableField("operation")
    private String operation;

    /**
     * 请求方法
     */
    @TableField("method")
    private String method;

    /**
     * 请求参数
     */
    @TableField("params")
    private String params;

    /**
     * 操作IP地址
     */
    @TableField("ip")
    private String ip;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 执行时长(毫秒)
     */
    @TableField("execution_time")
    private Long executionTime;

    /**
     * 操作类型
     */
    @TableField("operation_type")
    private String operationType;

    /**
     * 模块名称
     */
    @TableField("module")
    private String module;

    /**
     * 操作结果
     */
    @TableField("result")
    private String result;

    /**
     * 状态（1：成功，0：失败）
     */
    @TableField("status")
    private Integer status;

    /**
     * 错误消息
     */
    @TableField("error_msg")
    private String errorMsg;

    /**
     * 请求URL
     */
    @TableField("request_url")
    private String requestUrl;

    /**
     * 浏览器类型
     */
    @TableField("browser")
    private String browser;

    /**
     * 操作系统
     */
    @TableField("os")
    private String os;

    /**
     * 用户代理
     */
    @TableField("user_agent")
    private String userAgent;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
