package com.xs.core.model.task.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 任务回调日志
 * </p>
 *
 * @author xudm
 * @since 2024-12-30
 */
@Getter
@Setter
@TableName("b_task_callback_log")
public class TaskCallbackLog extends Model<TaskCallbackLog> {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 任务id
     */
    @TableField("task_id")
    private String taskId;

    /**
     * 用户id
     */
    @TableField("user_id")
    private String userId;

    /**
     * 任务地址
     */
    @TableField("task_link")
    private String taskLink;

    /**
     * 入参
     */
    @TableField("input_param")
    private String inputParam;

    /**
     * 结果
     */
    @TableField("output_param")
    private String outputParam;

    /**
     * 日志类型 【start 开始，callback 回调】
     */
    @TableField("log_type")
    private String logType;

    /**
     * 操作时间
     */
    @TableField("operation_time")
    private LocalDateTime operationTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
