package com.xs.core.model.task.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 用户任务完成记录表
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
@Getter
@Setter
@TableName("b_user_task_record")
public class UserTaskRecord extends Model<UserTaskRecord> {

    /**
     * 记录ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 用户ID
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 任务ID
     */
    @TableField("task_id")
    private String taskId;

    /**
     * 任务状态: 0-未开始, 1-进行中, 2 已领取
     */
    @TableField("status")
    private Integer status;

    /**
     * 任务开始时间
     */
    @TableField("start_time")
    private LocalDateTime startTime;

    /**
     * 任务完成时间
     */
    @TableField("complete_time")
    private LocalDateTime completeTime;

    /**
     * 奖励金币数量
     */
    @TableField("reward_amount")
    private Integer rewardAmount;

    /**
     * 回调次数
     */
    @TableField("callback_num")
    private Integer callbackNum;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
