package com.xs.core.model.team.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 团队邀请奖励领取列表（每邀请一人奖励1000）
 * </p>
 *
 * @author xudm
 * @since 2024-12-21
 */
@Getter
@Setter
@TableName("b_team_invite_reward_record")
public class TeamInviteRewardRecord extends Model<TeamInviteRewardRecord> {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 奖励领取人id
     */
    @TableField("receiver_id")
    private Long receiverId;

    /**
     * 被邀请人id
     */
    @TableField("invitee_id")
    private Long inviteeId;

    /**
     * 奖励金额
     */
    @TableField("reward_amount")
    private BigDecimal rewardAmount;

    /**
     * 领取状态 0 待领取 1 已领取
     */
    @TableField("claim_status")
    private Integer claimStatus;

    /**
     * 领取时间
     */
    @TableField("claim_time")
    private LocalDateTime claimTime;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
