package com.xs.core.model.team.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Objects;

@Data
@Schema(description = "团队邀请奖励列表")
public class TeamInviteRewardsResp implements Serializable {

    /**
     * tg账号
     */
    @Schema(description = "tg账号")
    private String tgAccount;

    /**
     * 名
     */
    @Schema(description = "名")
    private String firstName;

    /**
     * 姓
     */
    @Schema(description = "姓")
    private String lastName;

    /**
     * 昵称
     */
    @Schema(description = "昵称")
    private String nickname;

    /**
     * 真实姓名
     */
    @Schema(description = "真实姓名")
    private String realName;

    /**
     * 头像
     */
    @Schema(description = "头像")
    private String avatar;


    /**
     * 团队产出奖励金额
     */
    @Schema(description = "团队产出奖励金额")
    private BigDecimal inviteRewardAmount;


    /**
     * tg账号脱敏处理
     */
    public String getTgAccount() {
        if (Objects.isNull(tgAccount)) {
            return "";
        }
        //脱敏处理 后几位用*号代替
        if (tgAccount.length() > 3) {
            tgAccount = tgAccount.substring(0, tgAccount.length() - 3) + "***";
        }
        return tgAccount;
    }

}
