package com.xs.core.model.user.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

@Schema(name = "TeamCompetitionResp", description = "团队竞赛排行榜")
@Data
public class TeamCompetitionResp implements Serializable {
    /**
     * 排名
     */
    @Schema(description = "排名")
    private int ranking;

    /**
     * tg小程序id
     */
    @Schema(description = "tg小程序id")
    private String tgId;

    /**
     * tg账号
     */
    @Schema(description = "tg账号")
    private String tgAccount;

    /**
     * 名
     */
    @Schema(description = "名")
    private String firstName;

    /**
     * 姓
     */
    @Schema(description = "姓")
    private String lastName;

    /**
     * 昵称
     */
    @Schema(description = "昵称")
    private String nickname;

    /**
     * 真实姓名
     */
    @Schema(description = "真实姓名")
    private String realName;

    /**
     * 头像
     */
    @Schema(description = "头像")
    private String avatar;

    /**
     * 邀请人数
     */
    @Schema(description = "邀请人数")
    private int invitedUsersCount;

    public String getTgAccount() {
        if (Objects.isNull(tgAccount)) {
            return "";
        }
        //脱敏处理 后几位用*号代替
        if (tgAccount.length() > 4) {
            tgAccount = tgAccount.substring(0, tgAccount.length() - 4) + "***";
        } else {
            //如过小于四位 则只显示前两位
            tgAccount = tgAccount.substring(0, 2) + "***";
        }
        return tgAccount;
    }
}
