package com.xs.core.model.wallet.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 用户钱包
 * </p>
 *
 * @author xudm
 * @since 2024-12-22
 */
@Getter
@Setter
@TableName("b_user_wallet")
public class UserWallet extends Model<UserWallet> {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 金币总额 历史总额
     */
    @TableField("total_balance")
    private BigDecimal totalBalance;

    /**
     * 金币可用余额
     */
    @TableField("available_balance")
    private BigDecimal availableBalance;

    /**
     * 真实货币余额
     */
    @TableField("money_balance")
    private BigDecimal moneyBalance;

    /**
     * 更新人
     */
    @TableField("updated_by")
    private Long updatedBy;

    /**
     * 更新时间
     */
    @TableField("updated_time")
    private LocalDateTime updatedTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
