package com.xs.core.service.Impl.task;

import com.xs.core.common.enums.TaskCallbackLogTypeEnum;
import com.xs.core.model.task.entity.TaskCallbackLog;
import com.xs.core.mapper.task.TaskCallbackLogMapper;
import com.xs.core.service.task.ITaskCallbackLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 任务回调日志 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-30
 */
@Service
public class TaskCallbackLogServiceImpl extends ServiceImpl<TaskCallbackLogMapper, TaskCallbackLog> implements ITaskCallbackLogService {

    @Override
    public void saveCallbackLog(String taskId, Long userId, String taskAcceptApiLink, String inputParam, String outputParam, TaskCallbackLogTypeEnum type) {
        TaskCallbackLog taskCallbackLog = new TaskCallbackLog();
        taskCallbackLog.setTaskId(taskId);
        taskCallbackLog.setUserId(userId + "");
        taskCallbackLog.setTaskLink(taskAcceptApiLink);
        taskCallbackLog.setInputParam(inputParam);
        taskCallbackLog.setOutputParam(outputParam);
        taskCallbackLog.setLogType(type.getCode());
        taskCallbackLog.setOperationTime(LocalDateTime.now());
        save(taskCallbackLog);
    }
}
