package com.xs.core.service.Impl.team;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xs.core.model.team.entity.InviteRewardsRule;
import com.xs.core.mapper.team.InviteRewardsRuleMapper;
import com.xs.core.service.team.IInviteRewardsRuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 邀请用户任务金币奖励规则 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
@Service
public class InviteRewardsRuleServiceImpl extends ServiceImpl<InviteRewardsRuleMapper, InviteRewardsRule> implements IInviteRewardsRuleService {

    @Override
    public List<InviteRewardsRule> getAllByOrderByRewardsLevelAsc() {
        LambdaQueryWrapper<InviteRewardsRule> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.orderByAsc(InviteRewardsRule::getRewardsLevel);
        return list(queryWrapper);
    }
}
