package com.xs.core.service.Impl.team;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xs.core.model.team.entity.InviteTaskRewardsFetchRecord;
import com.xs.core.mapper.team.InviteTaskRewardsFetchRecordMapper;
import com.xs.core.service.team.IInviteTaskRewardsFetchRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 邀请用户任务金币奖励领取记录 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
@Service
public class InviteTaskRewardsFetchRecordServiceImpl extends ServiceImpl<InviteTaskRewardsFetchRecordMapper, InviteTaskRewardsFetchRecord> implements IInviteTaskRewardsFetchRecordService {
    @Override
    public InviteTaskRewardsFetchRecord getLastByUserId(Long id) {
        LambdaQueryWrapper<InviteTaskRewardsFetchRecord> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(InviteTaskRewardsFetchRecord::getUserId, id);
        queryWrapper.orderByDesc(InviteTaskRewardsFetchRecord::getCreatedTime);
        queryWrapper.last("limit 1");
        return getOne(queryWrapper);
    }

    @Override
    public InviteTaskRewardsFetchRecord getByRuleId(String ruleId) {
        LambdaQueryWrapper<InviteTaskRewardsFetchRecord> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(InviteTaskRewardsFetchRecord::getRuleId, ruleId);
        queryWrapper.last("limit 1");
        return getOne(queryWrapper);
    }
}
