package com.xs.core.service.task;

import com.xs.core.common.enums.TaskCallbackLogTypeEnum;
import com.xs.core.model.task.entity.TaskCallbackLog;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 任务回调日志 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-30
 */
public interface ITaskCallbackLogService extends IService<TaskCallbackLog> {

    /**
     * 保存回调日志
     *
     * @param taskId            任务id
     * @param userId            用户id
     * @param taskAcceptApiLink 任务地址
     * @param inputParam        入参
     * @param outputParam       结果
     * @param type              类型
     */
    void saveCallbackLog(String taskId, Long userId, String taskAcceptApiLink, String inputParam, String outputParam, TaskCallbackLogTypeEnum type);

}
