package com.xs.core.service.task;

import com.xs.core.model.task.entity.TaskInfo;
import com.xs.core.model.task.req.TaskInfoReq;
import com.xs.core.model.task.resp.TaskInfoResp;

import java.util.List;

public interface TaskService {
    /**
     * 获取任务信息列表
     *
     * @param req 请求参数
     */
    List<TaskInfoResp> getTaskInfoList(TaskInfoReq req);

    /**
     * 处理任务
     *
     * @param req 请求参数
     * @param id  任务id
     */
    void handleTask(TaskInfoReq req, Long id);

    /**
     * 开始任务通知 调用第三方接口通知第三方任务开始
     *
     * @param taskInfo 请求参数
     * @param id  任务id
     */
    void startTaskNotification(TaskInfo taskInfo, Long id);
}
