package com.xs.core.service.user;

import com.xs.core.common.enums.CoinTransactionCategoryEnum;
import com.xs.core.common.enums.CoinTransactionTypeEnum;
import com.xs.core.model.team.resp.TeamUserResp;
import com.xs.core.model.user.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xs.core.model.user.req.AppLoginReq;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * tg用户 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-22
 */
public interface IUserService extends IService<User> {

    /**
     * 获取用户的上一级邀请人
     *
     * @param userId
     * @return
     */
    User getInviterByUserId(Long userId);

    List<TeamUserResp> getMyTeamUserList(Long userId, String teamType);

    /**
     * 获取用户的邀请码
     *
     * @return
     */
    String getInviteCode();

    /**
     * 查询用户的邀请人数
     *
     * @param id
     * @return
     */
    Long queryInviterCount(Long id);

    /**
     * 注册tg用户到到系统
     *
     * @param loginReq
     * @return
     */
    User registerToSys(AppLoginReq loginReq);

    /**
     * 检查用户是否存在
     *
     * @param aLong
     * @return
     */
    boolean checkUserExist(Long aLong);
}
